> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get refund capabilities

> Returns supported refund paths, accepted request types, chains, and prerequisites for the given (country, fiat).



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/refunds/capabilities
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/refunds/capabilities:
    get:
      tags:
        - Refunds
      summary: Get refund capabilities
      description: >-
        Returns supported refund paths, accepted request types, chains, and
        prerequisites for the given (country, fiat).
      operationId: RefundCapabilitiesController_getRefundCapabilities
      parameters:
        - name: country
          required: true
          in: query
          description: Destination country of the withdrawal corridor.
          schema:
            $ref: '#/components/schemas/CountryCode'
        - name: fiat
          required: true
          in: query
          description: Destination fiat currency of the withdrawal corridor.
          schema:
            $ref: '#/components/schemas/FiatCurrencyId'
      responses:
        '200':
          description: Refund capabilities for the corridor.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RefundCapabilityEntity'
      security:
        - bearer: []
components:
  schemas:
    CountryCode:
      type: string
      enum:
        - AF
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CD
        - CG
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - CI
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - MK
        - RO
        - RU
        - RW
        - RE
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - UM
        - US
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - AX
        - ZZ
    FiatCurrencyId:
      type: string
      enum:
        - USD
        - EUR
        - BRL
        - ARS
        - MXN
        - COP
        - CLP
        - PEN
        - PYG
        - DOP
        - UYU
        - BOB
        - CRC
        - GTQ
        - BWP
        - CDF
        - GHS
        - KES
        - MWK
        - NGN
        - RWF
        - ZAR
        - TZS
        - UGX
        - ZMW
        - XOF
        - XAF
        - AUD
        - BDT
        - CAD
        - INR
        - JPY
        - NPR
        - PKR
        - PHP
        - SGD
        - GBP
        - CNY
        - HKD
        - IDR
        - MYR
        - KRW
        - LKR
        - THB
        - TRY
        - VND
        - CZK
        - HUF
        - DKK
        - NOK
        - PLN
        - RON
        - RSD
        - SEK
        - CHF
        - AED
        - SAR
        - QAR
        - ILS
        - EGP
        - JOD
        - HNL
        - JMD
        - NZD
        - DZD
        - GMD
        - GNF
        - HTG
        - MAD
        - TND
    RefundCapabilityEntity:
      type: object
      properties:
        pfiName:
          allOf:
            - $ref: '#/components/schemas/PFIName'
        supportedPaths:
          type: array
          items:
            $ref: '#/components/schemas/RefundPath'
        acceptedRequestTypes:
          type: array
          items:
            $ref: '#/components/schemas/RefundDestinationType'
          description: Refund destination types accepted in refund requests for this PFI.
        destinationModes:
          type: array
          items:
            $ref: '#/components/schemas/RefundDestinationMode'
        chainsSupported:
          description: Assets supported for refunds on this corridor.
          type: array
          items:
            type: string
        estimatedTimingRange:
          $ref: '#/components/schemas/RefundEstimatedTimingRangeEntity'
        autoRefundOverrideSupported:
          type: boolean
        prerequisites:
          type: array
          items:
            type: string
      required:
        - pfiName
        - supportedPaths
        - acceptedRequestTypes
        - destinationModes
        - chainsSupported
        - estimatedTimingRange
        - autoRefundOverrideSupported
        - prerequisites
    PFIName:
      type: string
      enum:
        - Bridge
        - Koywe
        - Kotanipay
        - Hercle
        - Bitso
        - Yellowcard
        - TraceFinance
        - HoneyCoin
        - BlindPay
        - Finity
        - Infinia
        - Walapay
        - Abra
        - Yativo
        - Capa
        - Bivo
        - Cobre
        - Avenia
        - Brale
        - BVNK
        - CoinsPH
        - Iron
        - Enigma
        - Kira
        - TripleA
        - Onmeta
        - Alfred
        - Tazapay
        - Demo
        - CrissCross
        - Pockyt
    RefundPath:
      type: string
      enum:
        - PfiAutoReversal
        - BalancePayout
        - ReturnToSender
        - PfiAutoReturn
        - ManualRequired
        - Unsupported
    RefundDestinationType:
      type: string
      enum:
        - Address
        - Source
        - ProviderBalance
    RefundDestinationMode:
      type: string
      enum:
        - none
        - address_optional
        - address_required
        - provider_locked
    RefundEstimatedTimingRangeEntity:
      type: object
      properties:
        minSeconds:
          type: number
          description: Minimum expected refund completion time, in seconds.
        maxSeconds:
          type: number
          description: Maximum expected refund completion time, in seconds.
        businessDays:
          type: boolean
          description: True when the estimate counts business days only.
      required:
        - minSeconds
        - maxSeconds
        - businessDays
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````